Skip to content

Scope Impact Preview



POST /api/v1/tag/{tag_uuid}/scope/preview

Overview

Read-only preview of affected resources before modifying a scope; returns a confirmation credential valid for 10 minutes.

Path Parameters

Parameter Name Type Required Description
tag_uuid string Y Tag UUID

Body Request Parameters

Parameter Name Type Required Description
scope any Y Array of multiple scopes; all is mutually exclusive with specific scopes; also compatible with legacy single-value strings
Allow empty: False
pageIndex integer Page number
$minValue: 1
pageSize integer Page size
$minValue: 1
$maxValue: 1000

Response

The response content contains tagUUID, oldScope, newScope, requiresConfirmation, and previewToken. Affected resources are in content.data; counts and summary are in content.affectedResourceCount, content.affectedRelationCount, content.affectedConfigCount, and content.summary. Pagination information is at the top level of the response in pageInfo.

To include the preview credential when subsequently Modifying a Tag, submit previewToken as scopePreviewToken and reuse the target scope from this preview.